# timer_irq.py (Timer-Interrupt)

from machine import Pin, Timer
from time import sleep
 
def handleTimerInterrupt(myTimer):     
  global led1 # Innerhalb des Interrupt-Handlers dürfen keine NEUEN ("komplexen" lokalen) Variablen (Listen, ...) definiert werden
  led1.value(not led1.value()) # toggeln
  global counter
  counter = counter + 1
  print(counter)
  if counter == 50:
      myTimer.deinit()
      print('Timer deaktiviert')
 
counter = 0
led0 = Pin(27, Pin.OUT)
led1 = Pin(25, Pin.OUT) # enable Pin25 as output to drive the LED
timer = Timer(0) # 4 Hardware-Timer stehen zur Verfügung 0-3
# Timer initialisieren (Frequenz = 5 Hz, Interruptroutine: handleInterrupt(timer)):  
timer.init(freq=5, callback=handleTimerInterrupt)
 
while True:
  led0.value(1)
  sleep(3)
  led0.value(0)
  sleep(1)